×
Blue Eagle 5 v1.6.2 has been Released for Kunena 5.2 (20 Jan 2021)

The Kunena team has announce the arrival of Kunena template Blue Eagle 5 v1.6.2 which is now available for download. This version addresses most of the issues that were discovered in development.

REQUIREMENTS
Blue Eagle 1.6.x requires Kunena 5.2.x to work with

Question Allow Duplicate Alias for categorys

More
3 years 11 months ago - 3 years 11 months ago #1 by shoulders
I have wrote some software for Joomla and a small CMS called QWcrm and I am just setting up the categories and sections in Kunena.

I am now coming across the error
Notice
Saving category 1 failed: Cannot save category: Alias 'general' has already been taken.

This is because Kunena will not allow you to use an alias twice. This might be a project killer because for each software I have written I want the following standard categories:

General
Installation
Upgrading
Language
Security

Feature Request

Can you add the ability to use an alias more than once

possible solution

- Add sections into the URL SEF
- do a check on the Alias for the level it is in the SEF for duplicates (ie. if it is a section check all other section SEFs for a collision, the is no need to check a sections SEF against categories, if using the option above)

Might be of use
github.com/Kunena/Kunena-Forum/issues/1805


thanks
Last edit: 3 years 11 months ago by shoulders.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #2 by 810
we are waiting for the new router on joomla, then we can check how we can improve our sef links
The following user(s) said Thank You: shoulders

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #3 by shoulders
Do you know what, I thought this might be the case. I hope they don't release Joomla 3.7 until the router is fixed.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #4 by Hackwar
Please notice that the Joomla PLT for now decided to not include the router changes into 3.7. The (real) reasons are unknown to me. Since I can't really accept this, I provided the new router as an installable plugin here: github.com/Hackwar/jlrouter/releases

I would be happy if you would contact the PLT and tell them, that you are expecting this to be part of 3.7.
The following user(s) said Thank You: shoulders

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #5 by shoulders
I will give it a go on my test site this week, I wont be able to put in on my live site just yet. I am guessing you mean 810 contacting the Joomla PLT.

To be honest, this was the only feature I was waiting for in this new release. But will be useful for a lot of people.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #6 by Hackwar
No, I mean everyone should contact the PLT. How else should they know what you guys want? Tell them what you think of this new delay. They delayed it since Joomla 3.3.

Please Log in or Create an account to join the conversation.

More
3 years 1 month ago #7 by shoulders

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.083 seconds